# gdcm::GroupDict Class Reference

Class to represent the mapping from group number to its abbreviation and name. More...

`#include <gdcmGroupDict.h>`

Collaboration diagram for gdcm::GroupDict:
[legend]

List of all members.

## Public Types
typedef std::vector< std::string > | GroupStringVector
## Public Member Functions
| GroupDict ()
| ~GroupDict ()
std::string const & | GetAbbreviation (uint16_t num) const
std::string const & | GetName (uint16_t num) const
unsigned long | Size () const
## Protected Member Functions
void | Add (std::string const &abbreviation, std::string const &name)
void | Insert (uint16_t num, std::string const &abbreviation, std::string const &name)
## Friends
std::ostream & | operator<< (std::ostream &_os, const GroupDict &_val)

## Detailed Description

Class to represent the mapping from group number to its abbreviation and name.

Note:
  Should I rewrite this class to use a std::map instead of std::vector for problem of memory consumption ?

## Member Typedef Documentation

typedef std::vector<std::string> gdcm::GroupDict::GroupStringVector

## Constructor & Destructor Documentation

gdcm::GroupDict::GroupDict | ( |  | ) | `[inline]`

gdcm::GroupDict::~GroupDict | ( |  | ) | `[inline]`

## Member Function Documentation

void gdcm::GroupDict::Add | ( | std::string const & | abbreviation,
|  | std::string const & | name |
| ) |  |  | `[protected]`

std::string const& gdcm::GroupDict::GetAbbreviation | ( | uint16_t | num | ) | const

Referenced by gdcm::operator<<().

std::string const& gdcm::GroupDict::GetName | ( | uint16_t | num | ) | const

Referenced by gdcm::operator<<().

void gdcm::GroupDict::Insert | ( | uint16_t | num,
|  | std::string const & | abbreviation,
|  | std::string const & | name |
| ) |  |  | `[protected]`

unsigned long gdcm::GroupDict::Size | ( |  | ) | const`[inline]`

Referenced by gdcm::operator<<().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const GroupDict & | _val |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmGroupDict.h